<template>
  <q-page>
    <div class="text-h6 q-pa-sm">{{ todaysDate }}</div>
    <q-card class="q-mt-sm" style="width: 100%">
      <q-item
        to="/ketua_kelas/form_kehadiran"
        exact
        clickable>
        <q-item-section>
          <q-item-label >English 4</q-item-label>
          <q-item-label caption>
            {{ todaysDate2 }}
          </q-item-label>
        </q-item-section>
        
        <q-item-section side>
          <q-item-label>08:00 - 09:50</q-item-label>
        </q-item-section>
      </q-item>
      <q-separator class="q-pb-xs"/>
      <q-separator/>

      <q-item>
        <q-item-section>
          <q-item-label>PBO</q-item-label>
          <q-item-label caption>
            {{ todaysDate2 }}
          </q-item-label>
        </q-item-section>
        
        <q-item-section side>
          <q-item-label>10:00 - 11:50</q-item-label>
        </q-item-section>
      </q-item>
      <q-separator class="q-pb-xs"/>
      <q-separator/>

      <q-item>
        <q-item-section>
          <q-item-label>PAM</q-item-label>
          <q-item-label caption>
            {{ todaysDate2 }}
          </q-item-label>
        </q-item-section>
        
        <q-item-section side>
          <q-item-label>13:00 - 14:50</q-item-label>
        </q-item-section>
      </q-item>
      <q-separator class="q-pb-xs"/>
      <q-separator/>

      <q-item>
        <q-item-section to="">
          <q-item-label>PROBSTAT</q-item-label>
          <q-item-label caption>
            {{ todaysDate2 }}
          </q-item-label>
        </q-item-section>
        
        <q-item-section side>
          <q-item-label>15:00 - 16:50</q-item-label>
        </q-item-section>
      </q-item>
      <q-separator class="q-pb-xs"/>
      

    </q-card>
    <q-card class="q-mt-sm q-mb-none absolute-bottom" style="width: 100%">
      <q-item>
        <q-item-section>
          <q-item-label class="text-h6">List Reschedule</q-item-label>
        </q-item-section>
        
      </q-item>
      <q-separator class="q-pb-xs"/>
      <q-separator class="q-mb-md"/>

      <q-item>
        <q-item-section>
          <q-item-label>PASTI</q-item-label>
          <q-item-label caption>
            17 Januari 2020
          </q-item-label>
        </q-item-section>
      </q-item>
      <q-separator class="q-pb-xs"/>
      <q-separator/>

      <q-item>
        <q-item-section>
          <q-item-label>PBO</q-item-label>
          <q-item-label caption>
            15 Januari 2020
          </q-item-label>
        </q-item-section>
      </q-item>
      <q-separator class="q-pb-xs"/>
      <q-separator/>

      <q-item>
        <q-item-section>
          <q-item-label>PASTI</q-item-label>
          <q-item-label caption>
            14 Januari 2020
          </q-item-label>
        </q-item-section>
      </q-item>
      <q-separator class="q-pb-xs"/>
      <q-separator/>
    </q-card>
  </q-page>

  
</template>

<script>
import { date } from 'quasar'
export default {
  name: 'PageIndex',

   computed: {
    todaysDate(){
      let timeStamp = Date.now()
      return date.formatDate(timeStamp, 'dddd, D MMMM YYYY', {
        days: ['Senin', 'Selasa', 'Rabu', 'Kamis', 'Jumat', 'Sabtu', 'Minggu'],
        daysShort: ['Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab', 'Min'],
        months: ['Januari', 'Februari', 'Maret', 'April', 'Mei', 'Juni', 'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember'],
        monthsShort: ['Jan', 'Feb','Mar', 'Apr', 'Mei', 'Jun', 'Jul', 'Ag', 'Sep', 'Okt', 'Nov', 'Des']
      })
    },
    todaysDate2(){
      let timeStamp = Date.now()
      return date.formatDate(timeStamp, 'D MMMM YYYY', {
        days: ['Senin', 'Selasa', 'Rabu', 'Kamis', 'Jumat', 'Sabtu', 'Minggu'],
        daysShort: ['Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab', 'Min'],
        months: ['Januari', 'Februari', 'Maret', 'April', 'Mei', 'Juni', 'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember'],
        monthsShort: ['Jan', 'Feb','Mar', 'Apr', 'Mei', 'Jun', 'Jul', 'Ag', 'Sep', 'Okt', 'Nov', 'Des']
      })
    }
  }
}
</script>
